import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 查询算法任务列表
export function listTask(query) {
  return request({
    url: '/uavps/task/list',
    method: 'get',
    params: query
  })
}

// 查询算法任务详细
export function getTask(id) {
  return request({
    url: '/uavps/task/' + parseStrEmpty(id),
    method: 'get'
  })
}

// 新增算法任务
export function addTask(data) {
  return request({
    url: '/uavps/task',
    method: 'post',
    data: data
  })
}

// 修改算法任务
export function updateTask(data) {
  return request({
    url: '/uavps/task',
    method: 'put',
    data: data
  })
}

// 删除算法任务
export function delTask(id) {
  return request({
    url: '/uavps/task/' + id,
    method: 'delete'
  })
}

// 查询平台无人机列表
export function getUavList() {
  return request({
    url: '/uavps/task/getUavList',
    method: 'get'
  })
}
